curl -X GET "https://api.wirebox.sh/api/v1/identities?limit=20" \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
identities = wirebox.list_identities(limit=20)
for ident in identities:
print(f"@{ident.agent_handle} ({ident.mailbox.email_address})")
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const identities = await wirebox.listIdentities({ limit: 20 });
wirebox identity list
[
{
"id": "ident_01J8ABC123XYZ",
"agent_handle": "eva",
"display_name": "Eva Customer Support",
"description": "Customer triage agent",
"status": "active",
"imessage_enabled": false,
"mail_filter_mode": "blacklist",
"mail_inbound_filter_mode": "blacklist",
"mail_outbound_filter_mode": "blacklist",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z",
"mailbox": {
"id": "mbx_01J8ABC123XYZ",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z"
},
"tunnel": {
"id": "tnl_01J8ABC123XYZ",
"public_url": "https://eva.wirebox.run",
"status": "active",
"is_connected": false
}
}
]
Agent Identities
List Agent Identities
Retrieve all agent identities registered within your organization.
GET
/
api
/
v1
/
identities
curl -X GET "https://api.wirebox.sh/api/v1/identities?limit=20" \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
identities = wirebox.list_identities(limit=20)
for ident in identities:
print(f"@{ident.agent_handle} ({ident.mailbox.email_address})")
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const identities = await wirebox.listIdentities({ limit: 20 });
wirebox identity list
[
{
"id": "ident_01J8ABC123XYZ",
"agent_handle": "eva",
"display_name": "Eva Customer Support",
"description": "Customer triage agent",
"status": "active",
"imessage_enabled": false,
"mail_filter_mode": "blacklist",
"mail_inbound_filter_mode": "blacklist",
"mail_outbound_filter_mode": "blacklist",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z",
"mailbox": {
"id": "mbx_01J8ABC123XYZ",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z"
},
"tunnel": {
"id": "tnl_01J8ABC123XYZ",
"public_url": "https://eva.wirebox.run",
"status": "active",
"is_connected": false
}
}
]
Query Parameters
integer
default:"50"
Number of identities to return (1–100).
integer
default:"0"
Number of records to skip for pagination.
Response
Returns an array of identity objects.curl -X GET "https://api.wirebox.sh/api/v1/identities?limit=20" \
-H "Authorization: Bearer $WIREBOX_API_KEY"
from wirebox import Wirebox
with Wirebox() as wirebox:
identities = wirebox.list_identities(limit=20)
for ident in identities:
print(f"@{ident.agent_handle} ({ident.mailbox.email_address})")
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const identities = await wirebox.listIdentities({ limit: 20 });
wirebox identity list
[
{
"id": "ident_01J8ABC123XYZ",
"agent_handle": "eva",
"display_name": "Eva Customer Support",
"description": "Customer triage agent",
"status": "active",
"imessage_enabled": false,
"mail_filter_mode": "blacklist",
"mail_inbound_filter_mode": "blacklist",
"mail_outbound_filter_mode": "blacklist",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:00:00Z",
"mailbox": {
"id": "mbx_01J8ABC123XYZ",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z"
},
"tunnel": {
"id": "tnl_01J8ABC123XYZ",
"public_url": "https://eva.wirebox.run",
"status": "active",
"is_connected": false
}
}
]